The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Application Profile

Prev Next

This URL gets the application profile for given application id.

Resource URL

GET /ntbamonitors/{ntbaId}/ applicationtraffic/profile/{appId}? startTime=<startTime>&endTime=<endTime>

Request Parameters

Field Name

Description

Data Type

Mandatory

ntbaId

NTBA monitor id

Number

Yes

startTime

Start time in the format: yyyy-MM-dd HH:mm

String

No

endTime

End time in the format: yyyy-MM-dd HH:mm

String

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

serversProfile

Servers profile data

Array

clientsProfile

Clients profile data

Array

Details of serverProfile/clientsProfile:

Field Name

Description

Data Type

endpointIp

Host IP

String

hostName

Host name

String

zone

Zone name

String

inboundTraffic

Inbound traffic

String

outboundTraffic

outbound traffic

String

totalTraffic

Total traffic

String

noOfConnections

Number of connection

Number

Example

Request

GET https://<NSM_IP>/sdkapi/ntbamonitors/1006/applicationprofile/profile/131231?startTime=2012-APR-20 12:15&endTime=2012-APR-20 12:11

Response

{"serversProfile":[{
"endpointIp":"1.1.1.1",
"hostName":"--",
"zone":"Default Inside Zone",
"vlanId":"---",
"inboundTraffic":"1M",
"outboundTraffic":"1M",
"totalTraffic":"2M",
"noOfConnections":2,
}]
"clientsProfile":[{
"endpointIp":"1.1.1.1",
"hostName":"--",
"zone":"Default Inside Zone",
"vlanId":"---",
"inboundTraffic":"1M",
"outboundTraffic":"1M",
"totalTraffic":"2M",
"noOfConnections":2,
          }]
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

4301

Invalid duration

2

400

4302

Invalid time format

3

400

4303

Start time is greater than end time

4

400

4304

Invalid date format

5

400

4305

Start/End date is not provided

6

400

4306

Invalid NTBA id

7

400

4311

Invalid application id or no data